<h2 mat-dialog-title>Generate invoice for following sales</h2>

<mat-dialog-content>
    <kendo-grid [kendoGridBinding]="transactionForInvoice" kendoGridSelectBy="id" [pageSize]="10"
      [pageable]="true" [sortable]="true" [groupable]="false" [reorderable]="true" [resizable]="true"
      [columnMenu]="{ filter: true }">
      <ng-template kendoGridToolbarTemplate>
        <label style="font-weight: bold;">Net Total Amount : Rs. {{totalAmount}}</label>
      </ng-template>
      <kendo-grid-column field="customerName" title="Customer Name" [width]="220">
        <ng-template kendoGridCellTemplate let-dataItem>
          <div class="product-name">{{ dataItem.customerName }}</div>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="productName" title="Product Name" [width]="220">
      </kendo-grid-column>
      <kendo-grid-column field="rate" title="Rate" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="quantity" title="Quantity" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="totalAmount" title="Total Amount" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column title="Actions"  [width]="100" [resizable]="false">
        <ng-template kendoGridCellTemplate>
          <button kendoGridEditCommand >Edit</button>
          <!-- more command buttons here -->
      </ng-template>
      </kendo-grid-column> 
    </kendo-grid>
</mat-dialog-content>

<mat-dialog-actions>
    <button mat-raised-button color="basic"  (click)="close()">Close</button>
    <button mat-raised-button color="primary" (click)="submit()" [disabled]="disableSubmitButton">Save</button>
</mat-dialog-actions>
